## org.apache.lucene.analysis.miscellaneous
Class KeepWordFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.util.FilteringTokenFilter
                      org.apache.lucene.analysis.miscellaneous.KeepWordFilter

All Implemented Interfaces:
  Closeable

    public final class KeepWordFilter

extends FilteringTokenFilter

A TokenFilter that only keeps tokens with text contained in the required words. This filter behaves like the inverse of StopFilter.

Since:
  solr 1.3

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.FilteringTokenFilter
`version`

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`KeepWordFilter(Version version, boolean enablePositionIncrements, TokenStream in, CharArraySet words)` Deprecated. enablePositionIncrements=false is not supported anymore as of Lucene 4.4.
`KeepWordFilter(Version version, TokenStream in, CharArraySet words)` Create a new `KeepWordFilter`.

Method Summary
`boolean` `accept()` Override this method and return if the current input token should be returned by `FilteringTokenFilter.incrementToken()`.

Methods inherited from class org.apache.lucene.analysis.util.FilteringTokenFilter
`getEnablePositionIncrements, incrementToken, reset, setEnablePositionIncrements`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeepWordFilter

    @Deprecated
    public KeepWordFilter(Version version,
                                     boolean enablePositionIncrements,
                                     TokenStream in,
                                     CharArraySet words)

  Deprecated. enablePositionIncrements=false is not supported anymore as of Lucene 4.4.

### KeepWordFilter

    public KeepWordFilter(Version version,
                          TokenStream in,
                          CharArraySet words)

  Create a new `KeepWordFilter`.

  NOTE: The words set passed to this constructor will be directly used by this filter and should not be modified.

  Parameters:
    `version` - the Lucene match version
    `in` - the `TokenStream` to consume
    `words` - the words to keep

Method Detail

### accept

    public boolean accept()

  Description copied from class: `FilteringTokenFilter`
  Override this method and return if the current input token should be returned by `FilteringTokenFilter.incrementToken()`.

  Specified by:
    `accept` in class `FilteringTokenFilter`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.